<?php
/**

 * Astra functions and definitions

 *

 * @link https://developer.wordpress.org/themes/basics/theme-functions/

 *

 * @package Astra

 * @since 1.0.0

 */



if ( ! defined( 'ABSPATH' ) ) {

	exit; // Exit if accessed directly.

}



/**

 * Define Constants

 */

define( 'ASTRA_THEME_VERSION', '3.2.0' );

define( 'ASTRA_THEME_SETTINGS', 'astra-settings' );

define( 'ASTRA_THEME_DIR', trailingslashit( get_template_directory() ) );

define( 'ASTRA_THEME_URI', trailingslashit( esc_url( get_template_directory_uri() ) ) );





/**

 * Minimum Version requirement of the Astra Pro addon.

 * This constant will be used to display the notice asking user to update the Astra addon to the version defined below.

 */

define( 'ASTRA_EXT_MIN_VER', '3.1.0' );



/**

 * Setup helper functions of Astra.

 */

require_once ASTRA_THEME_DIR . 'inc/core/class-astra-theme-options.php';

require_once ASTRA_THEME_DIR . 'inc/core/class-theme-strings.php';

require_once ASTRA_THEME_DIR . 'inc/core/common-functions.php';



/**

 * Update theme

 */

require_once ASTRA_THEME_DIR . 'inc/theme-update/class-astra-theme-update.php';

require_once ASTRA_THEME_DIR . 'inc/theme-update/astra-update-functions.php';

require_once ASTRA_THEME_DIR . 'inc/theme-update/class-astra-theme-background-updater.php';

require_once ASTRA_THEME_DIR . 'inc/theme-update/class-astra-pb-compatibility.php';





/**

 * Fonts Files

 */

require_once ASTRA_THEME_DIR . 'inc/customizer/class-astra-font-families.php';

if ( is_admin() ) {

	require_once ASTRA_THEME_DIR . 'inc/customizer/class-astra-fonts-data.php';

}



require_once ASTRA_THEME_DIR . 'inc/customizer/class-astra-fonts.php';



require_once ASTRA_THEME_DIR . 'inc/core/class-astra-walker-page.php';

require_once ASTRA_THEME_DIR . 'inc/core/class-astra-enqueue-scripts.php';

require_once ASTRA_THEME_DIR . 'inc/core/class-gutenberg-editor-css.php';

require_once ASTRA_THEME_DIR . 'inc/class-astra-dynamic-css.php';



/**

 * Custom template tags for this theme.

 */

require_once ASTRA_THEME_DIR . 'inc/core/class-astra-attr.php';

require_once ASTRA_THEME_DIR . 'inc/template-tags.php';



require_once ASTRA_THEME_DIR . 'inc/widgets.php';

require_once ASTRA_THEME_DIR . 'inc/core/theme-hooks.php';

require_once ASTRA_THEME_DIR . 'inc/admin-functions.php';

require_once ASTRA_THEME_DIR . 'inc/core/sidebar-manager.php';



/**

 * Markup Functions

 */

require_once ASTRA_THEME_DIR . 'inc/markup-extras.php';

require_once ASTRA_THEME_DIR . 'inc/extras.php';

require_once ASTRA_THEME_DIR . 'inc/blog/blog-config.php';

require_once ASTRA_THEME_DIR . 'inc/blog/blog.php';

require_once ASTRA_THEME_DIR . 'inc/blog/single-blog.php';

/**

 * Markup Files

 */

require_once ASTRA_THEME_DIR . 'inc/template-parts.php';

require_once ASTRA_THEME_DIR . 'inc/class-astra-loop.php';

require_once ASTRA_THEME_DIR . 'inc/class-astra-mobile-header.php';



/**

 * Functions and definitions.

 */

require_once ASTRA_THEME_DIR . 'inc/class-astra-after-setup-theme.php';



// Required files.

require_once ASTRA_THEME_DIR . 'inc/core/class-astra-admin-helper.php';



require_once ASTRA_THEME_DIR . 'inc/schema/class-astra-schema.php';



if ( is_admin() ) {



	/**

	 * Admin Menu Settings

	 */

	require_once ASTRA_THEME_DIR . 'inc/core/class-astra-admin-settings.php';

	require_once ASTRA_THEME_DIR . 'inc/lib/notices/class-astra-notices.php';



	/**

	 * Metabox additions.

	 */

	require_once ASTRA_THEME_DIR . 'inc/metabox/class-astra-meta-boxes.php';

}



require_once ASTRA_THEME_DIR . 'inc/metabox/class-astra-meta-box-operations.php';





/**

 * Customizer additions.

 */

require_once ASTRA_THEME_DIR . 'inc/customizer/class-astra-customizer.php';





/**

 * Compatibility

 */

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-jetpack.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/woocommerce/class-astra-woocommerce.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/edd/class-astra-edd.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/lifterlms/class-astra-lifterlms.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/learndash/class-astra-learndash.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-beaver-builder.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-bb-ultimate-addon.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-contact-form-7.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-visual-composer.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-site-origin.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-gravity-forms.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-bne-flyout.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-ubermeu.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-divi-builder.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-amp.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-yoast-seo.php';

require_once ASTRA_THEME_DIR . 'inc/addons/transparent-header/class-astra-ext-transparent-header.php';

require_once ASTRA_THEME_DIR . 'inc/addons/breadcrumbs/class-astra-breadcrumbs.php';

require_once ASTRA_THEME_DIR . 'inc/addons/heading-colors/class-astra-heading-colors.php';

require_once ASTRA_THEME_DIR . 'inc/builder/class-astra-builder-loader.php';



// Elementor Compatibility requires PHP 5.4 for namespaces.

if ( version_compare( PHP_VERSION, '5.4', '>=' ) ) {

	require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-elementor.php';

	require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-elementor-pro.php';

	require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-web-stories.php';

}



// Beaver Themer compatibility requires PHP 5.3 for anonymus functions.

if ( version_compare( PHP_VERSION, '5.3', '>=' ) ) {

	require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-beaver-themer.php';

}



/**

 * Load deprecated functions

 */

require_once ASTRA_THEME_DIR . 'inc/core/deprecated/deprecated-filters.php';

require_once ASTRA_THEME_DIR . 'inc/core/deprecated/deprecated-hooks.php';

require_once ASTRA_THEME_DIR . 'inc/core/deprecated/deprecated-functions.php';

function twentytwenty_sidebar_registration() {    
    register_sidebar(
        array_merge($shared_args, array(
                'name'        => __( 'Language Switcher', 'Astra' ),
                'id'          => 'languageswitcher',
                'description' => __( 'Widgets in this area will be displayed in the second column in the footer.', 'Astra' ),
            )
        )
    );
}

add_action( 'widgets_init', 'twentytwenty_sidebar_registration' );

function curPageURL() {
 $pageURL = 'http';
//  if (array_key_exists('HTTPS', $_SERVER) && $_SERVER["HTTPS"] == "on") {$pageURL .= "s";}
 $pageURL .= "://";
 if ($_SERVER['SERVER_PORT'] != "80") {
  $pageURL .= $_SERVER['SERVER_NAME'].":".$_SERVER['SERVER_PORT'].$_SERVER['REQUEST_URI'];
 } else {
  $pageURL .= $_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
 }
 return $pageURL;
}
function tinyMCEoptions($options) {config. $options['extended_valid_elements'] = 'span'; return $options; } 
add_filter('tiny_mce_before_init', 'tinyMCEoptions');

remove_action('wp_head', 'feed_links', 2); 
add_action('wp_head', 'my_feed_links');
/*---------------------------------IS BLOG FUNCTION------------------------ */
function is_blog() {
    return ( is_archive() || is_author() || is_category() || is_home() || is_single() || is_tag()) && 'post' == get_post_type();
	}
/*---------------------------------IS BLOG FUNCTION------------------------ */
//------------------- Stage Selection Starts Here----------------------//
    function custom_wp_nav_classes($classes, $item){ 
        global $post; 
        /** Remove Active Class from Blog **/
        $page_blog = get_option('page_for_posts');  
        $pageURL = 'http';
        // if (array_key_exists('HTTPS', $_SERVER) && $_SERVER["HTTPS"] == "on") {$pageURL .= "s";}
        $pageURL .= "://";
        if ($_SERVER['SERVER_PORT'] != "80") {
            $pageURL .= $_SERVER['SERVER_NAME'].":".$_SERVER['SERVER_PORT'].$_SERVER['REQUEST_URI'];
        } else {
            $pageURL .= $_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'];
        }
        $url_array=explode('/',$pageURL);
        if(is_404()){ ?>
            <script>
                jQuery(document).ready(function() {
                    jQuery('#menu-item-35').removeClass('current_page_parent');
                });
            </script>
            <?php
            if($item->object_id == $page_blog)
                $classes = array_filter($classes, "remove_parent");
        }
        if (in_array('blog', $url_array)) {
        	?>
        	<script>
                jQuery(document).ready(function() {
                	//alert("inn");
                	jQuery('#menu-item-6939').addClass('current-menu-item');
                	jQuery('#menu-item-7015').addClass('current-menu-item');
                    jQuery('#menu-item-1553').addClass('current-menu-item');
                	jQuery('.menu-item-1553 a').addClass('elementor-item-active');
                    
                });
            </script>
        	<?php
        }
        
        


        return $classes;
    }
    add_filter('nav_menu_css_class' , 'custom_wp_nav_classes' , 10 , 2);
    function remove_parent($var){
        if ($var == 'current_page_parent' || $var == 'current-menu-item' || $var == 'current-page-ancestor') { return false; }
        return true;
    }   
// ---------------------Stage Selection Ends Here--------------------------//
add_action( 'wp_loaded', 'disable_wp_theme_update_loaded' );
function disable_wp_theme_update_loaded() {
    remove_action( 'load-update-core.php', 'wp_update_themes' );
    add_filter( 'pre_site_transient_update_themes', '__return_null' );
}
/* Manage Theme Options Starts Here */

if( function_exists('acf_add_options_page')){
    acf_add_options_page(
        array(
        'page_title' => 'Theme Options',
        'menu_title' => 'Theme Options',
        'menu_slug' => 'theme-options',
        'capability' => 'edit_posts',
        'redirect' => false
        )
    );
}

/* Manage Theme Options Ends Here */

/*---Manage Custom Short Codes--------*/
include( get_template_directory().'/shortcode/service-slider.php' );
include( get_template_directory().'/shortcode/logo-slider.php' );
include( get_template_directory().'/shortcode/service-inner.php' );
/*--------Manage Custom Short Codes--------*/

/*--------Disable php-everywhere plugin update--------*/

function filter_plugin_updates( $value ) {
    unset( $value->response['php-everywhere/phpeverywhere.php'] );
    return $value;
}
add_filter( 'site_transient_update_plugins', 'filter_plugin_updates' );

/*--------Disable php-everywhere plugin update--------*/

function lang_css() {
    
    $pageURL = curPageURL();
    $url_array = explode('/', $pageURL);
    if(in_array('fr', $url_array)){
        wp_enqueue_style('custom-style-fr', get_stylesheet_directory_uri() . '/assets/css/main-fr.css' );
    }
    else{
        wp_enqueue_style('custom-style-en', get_stylesheet_directory_uri() . '/assets/css/main-en.css' );
    }
}
add_action( 'wp_enqueue_scripts', 'lang_css' );